summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-08-13 13:24:38 +0200
committerMichał Górny <mgorny@gentoo.org>2019-08-13 14:10:44 +0200
commit0b072a0a18cc1c3d61a843a38cc98f5015217638 (patch)
tree3d8a7f60f841769db265b0d1972d6a0bc9ead33b
parentxfce-extra/xfce4-mpc-plugin: Bump to 0.5.2 (diff)
downloadgentoo-0b072a0a18cc1c3d61a843a38cc98f5015217638.tar.gz
gentoo-0b072a0a18cc1c3d61a843a38cc98f5015217638.tar.bz2
gentoo-0b072a0a18cc1c3d61a843a38cc98f5015217638.zip
xfce-extra/xfce4-systemload-plugin: Bump to 1.2.3
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--xfce-extra/xfce4-systemload-plugin/Manifest1
-rw-r--r--xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.2.3.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-systemload-plugin/Manifest b/xfce-extra/xfce4-systemload-plugin/Manifest
index 71d63ca1df1..58cc6306e59 100644
--- a/xfce-extra/xfce4-systemload-plugin/Manifest
+++ b/xfce-extra/xfce4-systemload-plugin/Manifest
@@ -1 +1,2 @@
DIST xfce4-systemload-plugin-1.2.2.tar.bz2 344197 BLAKE2B c83a55c3262f313c432947dbc240953e54a719bab6ba3714014624addab9b54b5172963792afab4d53c44d30590d9fef6f8b9712eddd7e57906cbe8e9dec35a8 SHA512 92930431383c128e449545b15a6d50aa6e236685619cc1abf0b60979f8a25010eb82ac4428f3e0e7eaac1468c3b101d6a0ef5d39e556346e74f4dddfffaa446b
+DIST xfce4-systemload-plugin-1.2.3.tar.bz2 349074 BLAKE2B 74cdc8f759824222faf5da04fd3189210883db1ad1ed138978e8cb31075a390d17f32ffa4648cace7745faadfc818878601c70b89a8da9d7e7961768a3f9caac SHA512 98985b2250bfff3ae8314f5671ec4438f4c53702cf9e1b76563cdc5d1b4b62174d6cfa559603294c1fc8fbbd5e15a833cc112c75b106a85b1e11788ded4da538
diff --git a/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.2.3.ebuild b/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.2.3.ebuild
new file mode 100644
index 00000000000..b3017c6bba0
--- /dev/null
+++ b/xfce-extra/xfce4-systemload-plugin/xfce4-systemload-plugin-1.2.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="System load plug-in for Xfce panel"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin"
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="upower"
+
+RDEPEND=">=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+ >=xfce-base/xfce4-panel-4.12:=
+ upower? ( >=sys-power/upower-0.9.23 )"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ virtual/pkgconfig"
+
+src_configure() {
+ econf $(use_enable upower)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}